curl --request GET \
--url https://api.sandbox.lead.bank/v0/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.lead.bank/v0/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.lead.bank/v0/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.lead.bank/v0/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.lead.bank/v0/accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.lead.bank/v0/accounts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.lead.bank/v0/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "account_xyz123",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"application_id": "application_xyz123",
"status": "active",
"status_reason": "client_closed",
"capabilities": [
"deposit"
],
"entities": {
"account_holder_type": "consumer"
},
"details": {
"product_name": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"credit": {
"is_secured": true,
"is_mla": true,
"underwriting_grade": "<string>",
"currency": "USD",
"available_credit": 123,
"limit": 123,
"max_limit": 123,
"scra": {
"start_date": "2023-12-25",
"end_date": "2023-12-25"
},
"report": {
"pulled_at": "2023-11-07T05:31:56Z",
"source": "equifax",
"score": 575,
"non_score_value": "unestablished"
}
},
"adverse_action_notice": {
"delivered_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"delivery_method": "email"
}
},
"metadata": {},
"documents": [
{
"document_id": "document_2N5Hk8xYmQpL9rBvC3jD",
"type": "aan",
"displayed_at": "2023-11-07T05:31:56Z",
"consented_at": "2023-11-07T05:31:56Z",
"version": "v1"
}
],
"client_account_id": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "rate_limit_exceeded",
"title": "You've reached the rate limit for this call, your request was not processed.",
"detail": "If you are continuously hitting rate limits please contact the Lead team.",
"invalid_parameters": []
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}Retrieve an Account by Client Account ID
Retrieves an account by the client_account_id you assigned, supplied as a
query parameter: GET /v0/accounts?client_account_id=.... This is the filtered
form of the accounts collection and is distinct from GET /v0/accounts/{id},
which takes the server-generated Account ID (account_*). The response body is
identical to GET /v0/accounts/{id}.
curl --request GET \
--url https://api.sandbox.lead.bank/v0/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.lead.bank/v0/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.lead.bank/v0/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.lead.bank/v0/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.lead.bank/v0/accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.lead.bank/v0/accounts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.lead.bank/v0/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "account_xyz123",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"application_id": "application_xyz123",
"status": "active",
"status_reason": "client_closed",
"capabilities": [
"deposit"
],
"entities": {
"account_holder_type": "consumer"
},
"details": {
"product_name": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"credit": {
"is_secured": true,
"is_mla": true,
"underwriting_grade": "<string>",
"currency": "USD",
"available_credit": 123,
"limit": 123,
"max_limit": 123,
"scra": {
"start_date": "2023-12-25",
"end_date": "2023-12-25"
},
"report": {
"pulled_at": "2023-11-07T05:31:56Z",
"source": "equifax",
"score": 575,
"non_score_value": "unestablished"
}
},
"adverse_action_notice": {
"delivered_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"delivery_method": "email"
}
},
"metadata": {},
"documents": [
{
"document_id": "document_2N5Hk8xYmQpL9rBvC3jD",
"type": "aan",
"displayed_at": "2023-11-07T05:31:56Z",
"consented_at": "2023-11-07T05:31:56Z",
"version": "v1"
}
],
"client_account_id": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "rate_limit_exceeded",
"title": "You've reached the rate limit for this call, your request was not processed.",
"detail": "If you are continuously hitting rate limits please contact the Lead team.",
"invalid_parameters": []
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The client_account_id assigned to the account.
Response
Account object retrieved successfully.
An account object
The ID of the Account object.
^account_\w+$"account_xyz123"
Creation timestamp
Last update timestamp
Unique identifier for the application. Prefixed with application_.
^application_\w+$"application_xyz123"
Current state of the account
active, inactive, closed Machine-readable reason for the current status
client_closed, entity_closed, frozen, dormant, active, paid_off, charged_off, canceled, other List of items that inform Lead how the Account will be used
Capability that informs Lead how the Account will be used
deposit, credit_with_underwriting, credit_without_underwriting Entity relationships associated with the account (response only)
Show child attributes
Show child attributes
Core details of the account
Show child attributes
Show child attributes
A set of key-value pairs that can be used to store additional information related to this object.
Show child attributes
Show child attributes
Array of associated legal or informational documents
Show child attributes
Show child attributes
Client-provided identifier for the account. Optional: present only for accounts created via file upload, and omitted for accounts created through the API, which are identified solely by their server-generated ID.
Was this page helpful?

